Bug 966472 - FTBFS on s390(x)
FTBFS on s390(x)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-packagekit (Show other bugs)
19
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 06:38 EDT by Dan Horák
Modified: 2013-06-12 04:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-12 04:38:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2013-05-23 06:38:30 EDT
rebuild of eclipse-packagekit in F-19 (tested s390 and s390x) fails with

...
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.RTzPqt
+ umask 022
+ cd /builddir/build/BUILD
+ cd eclipse-pkgkit-4da4a97
++ pwd
+ eclipse-pdebuild -o /builddir/build/BUILD/eclipse-pkgkit-4da4a97/orbitDeps
mkdir -p /builddir/build/BUILD/eclipse-pkgkit-4da4a97/build
mkdir -p /builddir/build/BUILD/eclipse-pkgkit-4da4a97/build/home
mkdir -p /builddir/build/BUILD/eclipse-pkgkit-4da4a97/build/home/workspace
Building feature = org.eclipse.linuxtools.packagekit.
Symlinking SDK into /builddir/build/BUILD/eclipse-pkgkit-4da4a97/build/SDK directory.
/bin/sh /usr/lib64/eclipse/buildscripts/copy-platform /builddir/build/BUILD/eclipse-pkgkit-4da4a97/build/SDK /usr/lib64/eclipse
Starting build:
Buildfile: /usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.8.100.v20130425-0443/scripts/build.xml
main:
preBuild:
     [copy] Copying 1 file to /builddir/build/BUILD/eclipse-pkgkit-4da4a97/build
preSetup:
getMapFiles:
postSetup:
processRepos:
fetch:
generate:
preGenerate:
     [exec] preparing files in /builddir/build/BUILD/eclipse-pkgkit-4da4a97 for buildfile generation ...
     [exec]   making the 'features' and 'plugins' directories
     [exec]   making symlink: /builddir/build/BUILD/eclipse-pkgkit-4da4a97/build/features/org.eclipse.linuxtools.packagekit -> /builddir/build/BUILD/eclipse-pkgkit-4da4a97/org.eclipse.linuxtools.packagekit.feature
     [exec]   making symlink: /builddir/build/BUILD/eclipse-pkgkit-4da4a97/build/plugins/org.eclipse.linuxtools.packagekit.autotools -> /builddir/build/BUILD/eclipse-pkgkit-4da4a97/org.eclipse.linuxtools.packagekit.autotools/
     [exec]   making symlink: /builddir/build/BUILD/eclipse-pkgkit-4da4a97/build/plugins/org.eclipse.linuxtools.packagekit.core -> /builddir/build/BUILD/eclipse-pkgkit-4da4a97/org.eclipse.linuxtools.packagekit.core/
     [exec]   making symlink: /builddir/build/BUILD/eclipse-pkgkit-4da4a97/build/plugins/org.eclipse.linuxtools.packagekit.ui -> /builddir/build/BUILD/eclipse-pkgkit-4da4a97/org.eclipse.linuxtools.packagekit.ui/
     [exec] done
symlinkDeps:
    [apply] Applied ln to 3 files and 0 directories.
allElements:
BUILD FAILED
/usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.8.100.v20130425-0443/scripts/build.xml:35: The following error occurred while executing this line:
/usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.8.100.v20130425-0443/scripts/build.xml:91: The following error occurred while executing this line:
/usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.8.100.v20130425-0443/templates/package-build/customTargets.xml:19: The following error occurred while executing this line:
java.io.FileNotFoundException: /usr/lib64/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.8.100.v20130425-0443/scripts/${eclipse.pdebuild.scripts}/genericTargets.xml (No such file or directory)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:138)
	at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:278)
	at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:178)
	at org.apache.tools.ant.ProjectHelper.configureProject(ProjectHelper.java:82)
	at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:393)
	at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
	at sun.reflect.GeneratedMethodAccessor5.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
	at org.apache.tools.ant.Task.perform(Task.java:348)
	at org.apache.tools.ant.Target.execute(Target.java:392)
	at org.apache.tools.ant.Target.performTasks(Target.java:413)
	at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399)
	at org.apache.tools.ant.helper.SingleCheckExecutor.executeTargets(SingleCheckExecutor.java:38)
	at org.eclipse.ant.internal.core.ant.EclipseSingleCheckExecutor.executeTargets(EclipseSingleCheckExecutor.java:30)
	at org.apache.tools.ant.Project.executeTargets(Project.java:1251)
	at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:442)
	at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
	at sun.reflect.GeneratedMethodAccessor5.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
	at org.apache.tools.ant.Task.perform(Task.java:348)
	at org.apache.tools.ant.Target.execute(Target.java:392)
	at org.apache.tools.ant.Target.performTasks(Target.java:413)
	at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399)
	at org.apache.tools.ant.helper.SingleCheckExecutor.executeTargets(SingleCheckExecutor.java:38)
	at org.eclipse.ant.internal.core.ant.EclipseSingleCheckExecutor.executeTargets(EclipseSingleCheckExecutor.java:30)
	at org.apache.tools.ant.Project.executeTargets(Project.java:1251)
	at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:442)
	at org.apache.tools.ant.taskdefs.CallTarget.execute(CallTarget.java:105)
	at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:291)
	at sun.reflect.GeneratedMethodAccessor5.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
	at org.apache.tools.ant.Task.perform(Task.java:348)
	at org.apache.tools.ant.Target.execute(Target.java:392)
	at org.apache.tools.ant.Target.performTasks(Target.java:413)
	at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1399)
	at org.apache.tools.ant.Project.executeTarget(Project.java:1368)
	at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
	at org.eclipse.ant.internal.core.ant.EclipseDefaultExecutor.executeTargets(EclipseDefaultExecutor.java:32)
	at org.apache.tools.ant.Project.executeTargets(Project.java:1251)
	at org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:672)
	at org.eclipse.ant.internal.core.ant.InternalAntRunner.run(InternalAntRunner.java:537)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.eclipse.ant.core.AntRunner.run(AntRunner.java:513)
	at org.eclipse.ant.core.AntRunner.start(AntRunner.java:600)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:354)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:181)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:645)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:600)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1459)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1435)
	at org.eclipse.core.launcher.Main.main(Main.java:34)
Total time: 4 seconds
An error has occurred. See the log file
/builddir/build/BUILD/eclipse-pkgkit-4da4a97/build/home/workspace/.metadata/.log.
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.RTzPqt (%build)
    Bad exit status from /var/tmp/rpm-tmp.RTzPqt (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target s390x --nodeps builddir/build/SPECS/eclipse-packagekit.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.6/site-packages/mockbuild/util.py", line 352, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target s390x --nodeps builddir/build/SPECS/eclipse-packagekit.spec']
LEAVE do --> EXCEPTION RAISED




Version-Release number of selected component (if applicable):
eclipse-packagekit-0.0.2-5.fc19
Comment 1 Alexander Kurtakov 2013-06-07 16:31:26 EDT
This problem is not with eclipse-packagekit build but a generic eclipse problem. Can you try resubmit?
Comment 2 Alexander Kurtakov 2013-06-12 04:38:28 EDT
I submitted new build and it worked - http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1079753

Note You need to log in before you can comment on or make changes to this bug.